Subject: bug#34152: closed (Re: bug#34152: awesome crashes on reload)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Oct 2023 14:32:02 +0000

Your bug report

#34152: awesome crashes on reload

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34152: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34152
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34152: awesome crashes on reload
From: Simon Tournier <[email-masked]>
To: "Bradley Haggerty" <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 Oct 2023 15:07:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Wed, 04 Oct 2023 at 13:54, "Bradley Haggerty" <[email-masked]> wrote:

>> > To recreate this, install the "awesome" package, log in to it, and either press control-super-r or open the menu in the top
>> > left and go to awesome -> restart.
>> >
>> > guix version:
>> > guix (GNU Guix) 1c17adbc7957d024158948a853f4fbc22e52a0f6

> I've since moved to Sway and am planning to stick with Wayland. I don't
> recall the issue ever being fixed while I was still using awesomewm, but
> not sure if it works now. Should be easy enough to test if someone was
> interested. I'm fine with this being closed since I'm no longer using
> awesomewm.

Using Guix 6113e05 and configuration below (adding ’awesome’ in
gnu/system/examples/lightweight-desktop.tmpl), I am not able to
reproduce.  Therefore, I am closing.

If someone has more information and also hits this bug, please reopen.

Cheers,
simon

--8<---------------cut here---------------start------------->8---
;; -*- mode: scheme; -*-
;; This is an operating system configuration template
;; for a "desktop" setup without full-blown desktop
;; environments.

(use-modules (gnu) (gnu system nss))
(use-service-modules desktop)
(use-package-modules bootloaders certs emacs emacs-xyz ratpoison suckless wm
                     xorg)

(operating-system
  (host-name "antelope")
  (timezone "Europe/Paris")
  (locale "en_US.utf8")

  ;; Use the UEFI variant of GRUB with the EFI System
  ;; Partition mounted on /boot/efi.
  (bootloader (bootloader-configuration
                (bootloader grub-efi-bootloader)
                (targets '("/boot/efi"))))

  ;; Assume the target root file system is labelled "my-root",
  ;; and the EFI System Partition has UUID 1234-ABCD.
  (file-systems (append
                 (list (file-system
                         (device (file-system-label "my-root"))
                         (mount-point "/")
                         (type "ext4"))
                       (file-system
                         (device (uuid "1234-ABCD" 'fat))
                         (mount-point "/boot/efi")
                         (type "vfat")))
                 %base-file-systems))

  (users (cons (user-account
                (name "alice")
                (comment "Bob's sister")
                (group "users")
                (supplementary-groups '("wheel" "netdev"
                                        "audio" "video")))
               %base-user-accounts))

  ;; Add a bunch of window managers; we can choose one at
  ;; the log-in screen with F1.
  (packages (append (list
                     ;; window managers
                     ratpoison i3-wm i3status dmenu
                     emacs emacs-exwm emacs-desktop-environment
                     awesome
                     ;; terminal emulator
                     xterm
                     ;; for HTTPS access
                     nss-certs)
                    %base-packages))

  ;; Use the "desktop" services, which include the X11
  ;; log-in service, networking with NetworkManager, and more.
  (services %desktop-services)

  ;; Allow resolution of '.local' host names with mDNS.
  (name-service-switch %mdns-host-lookup-nss))
--8<---------------cut here---------------end--------------->8---

Subject: awesome crashes on reload
From: Bradley Haggerty <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jan 2019 06:26:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When trying to reload awesome window manager in-place, it restarts X and
sends me back to the graphical login. It's only supposed to flash for a
second and not even kill any programs. Sometimes I'm able to see something
like "login command failed" printed on the screen.

To recreate this, install the "awesome" package, log in to it, and either
press control-super-r or open the menu in the top left and go to awesome ->
restart.

guix version:
guix (GNU Guix) 1c17adbc7957d024158948a853f4fbc22e52a0f6